View Issue Details

IDProjectCategoryView StatusLast Update
13742Bug reports[All Projects] Response browsingpublic2018-06-11 16:32
Reporterrsstgtd Assigned ToDenisChenu  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.8.x 
Target VersionFixed in Version3.10.x 
Summary13742: Answer options in dual matrix question swipes out in mobile screen mode
Description

Wether you visit the dual matrix question on a desktop browser or on a mobile device, by loading the page in a narrow width so the responsivity switches the platform to the mobile view, the second part of the question misses its answer options on the page.

Steps To Reproduce

Create a dual matrix question with its both corresponding answer scales and make sure you define answer options on both scales.
Resize the desktop window to a value less than 720px or load the page on an iPad.

Additional Information

Theme: fruity

TagsNo tags attached.
Complete LimeSurvey version number (& build) Version 3.8.1+180524
I will donate to the project if issue is resolvedYes
BrowserFirefox Quantum 60.0.1
Database & DB-Versionnot sure
Server OS (if known)Windows 2008 Server
Webserver software & version (if known)not sure
PHP Versionnot sure

Relationships

has duplicate 13751 closedDenisChenu Dual Matrix does not show answer options when doing survey on mobile device 

Activities

rsstgtd

rsstgtd

2018-06-05 16:02

reporter   ~47991

Here are two screenshots of situation + an example survey with a dual matrix question



limesurvey_survey_458311.lss (22,688 bytes)
01.png (70,642 bytes)
01.png (70,642 bytes)
02,.png (59,290 bytes)
02,.png (59,290 bytes)
DenisChenu

DenisChenu

2018-06-06 09:03

developer   ~47995

Right, the label is empty, not a css issue, biggest one :)

DenisChenu

DenisChenu

2018-06-06 09:11

developer   ~47996

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27338

DenisChenu

DenisChenu

2018-06-08 11:58

developer   ~48030

3.9.1

Related Changesets

LimeSurvey: master ae342cb2

2018-06-06 09:11:36

DenisChenu

Details Diff
Fixed issue 13742 : empty label for dual-scale question Affected Issues
13742
mod - application/views/survey/questions/answer/arrays/dualscale/answer.twig Diff File

Issue History

Date Modified Username Field Change
2018-06-05 16:00 rsstgtd New Issue
2018-06-05 16:02 rsstgtd File Added: limesurvey_survey_458311.lss
2018-06-05 16:02 rsstgtd File Added: 01.png
2018-06-05 16:02 rsstgtd File Added: 02,.png
2018-06-05 16:02 rsstgtd Note Added: 47991
2018-06-06 09:03 DenisChenu Note Added: 47995
2018-06-06 09:03 DenisChenu Assigned To => DenisChenu
2018-06-06 09:03 DenisChenu Status new => assigned
2018-06-06 09:11 DenisChenu Changeset attached => LimeSurvey master ae342cb2
2018-06-06 09:11 DenisChenu Note Added: 47996
2018-06-06 09:11 DenisChenu Resolution open => fixed
2018-06-08 11:58 DenisChenu Status assigned => resolved
2018-06-08 11:58 DenisChenu Note Added: 48030
2018-06-08 11:58 DenisChenu Relationship added has duplicate 13751
2018-06-11 16:32 markusfluer Status resolved => closed
2018-06-11 16:32 markusfluer Fixed in Version => 3.10.x